> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список доменов

> Перечисляет клиентские домены, видимые субъекту публичного API.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/domains
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Список доменов
      description: Перечисляет клиентские домены, видимые субъекту публичного API.
      operationId: list_public_domains_v1_public_accounts__account_id__domains_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Workspace Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainListResponse:
      properties:
        items:
          description: Домены на этой странице
          items:
            $ref: '#/components/schemas/DomainListRowResponse'
          title: Элементы
          type: array
        page:
          description: Текущий номер страницы, основанный на единице
          title: Страница
          type: integer
        page_size:
          description: Максимальное количество элементов на странице
          title: Размер страницы
          type: integer
        total:
          description: Всего совпадающих доменов
          title: Всего
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DomainListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    DomainListRowResponse:
      description: Клиентская строка списка доменов.
      properties:
        auto_renew:
          default: false
          description: Включено ли автоматическое продление домена
          title: Автопродление
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Временная метка создания домена
          title: Создано в
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Назначенный выделенный IP UUID, если таковой имеется.
          title: Id выделенного IP
        id:
          description: Домен UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Внешний идентификатор поставщика для входящего клиента
          title: Внешний ID входящего тенанта
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Входящий клиент UUID, если назначен
          title: ID входящего тенанта
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Отображаемое имя входящего клиента, если назначено
          title: Имя входящего тенанта
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Тип входящего клиента, если назначен
          title: Тип входящего тенанта
        name:
          description: Доменное имя
          title: Имя
          type: string
        outbound_routing_ready:
          description: Готова ли исходящая маршрутизация
          title: Исходящая маршрутизация готова
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Настроенный режим перенаправления, если есть
          title: Режим перенаправления
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: Настроен URL-адрес перенаправления, если таковой имеется.
          title: URL перенаправления
        status:
          description: Статус жизненного цикла домена
          title: Статус
          type: string
        tags:
          description: Теги, прикрепленные к домену
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Теги
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Временная метка последнего обновления домена
          title: Обновлено в
        workspace_id:
          description: Рабочая область UUID, содержащая домен.
          format: uuid
          title: Id рабочей области
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainListRowResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
    DomainTagResponse:
      description: Тег, прикрепленный к домену.
      properties:
        id:
          description: Тег UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Отображаемое имя тега
          title: Имя
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````